<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaTeilnehmerUebersicht\Detailsreiter\Registrierungen;

class ReiterRegistrierungenController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new ReiterRegistrierungenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new ReiterRegistrierungenRequest();
    $requestObj->tnr = \GetOperations::getVarValue('tnr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ReiterRegistrierungenPresenter($pUseCaseResponse);
  }
}